Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.security
Class MultipleRouteCredentialsHandler

    java.lang.Object
      hr.tis.mgw.client.security.MultipleRouteCredentialsHandler

All Implemented Interfaces:
  RouteCredentialsHandler

Direct Known Subclasses:
  ClasspathFileRouteCredentialsHandler, FileRouteCredentialsHandler

Deprecated. Deprecated for mGw version 2.

public class MultipleRouteCredentialsHandler
extends java.lang.Object
implements RouteCredentialsHandler

Credentials and authentication are now used directly in xManager2. Specify username and password parameters for various methods to achive authentication.

Constructor Summary
`MultipleRouteCredentialsHandler()` Deprecated.
`MultipleRouteCredentialsHandler(java.util.Properties credentialsProperties, java.lang.String credentialsPattern)` Deprecated.

Method Summary
`RouteCredentials` | `getCredentials(java.lang.String routeId)` Deprecated. Returns security credentials for specified route.
`void` | `load()` Deprecated. Reads credentials list from the credentialsProperties and loads a map which contains `RouteCredentials` object.
`void` | `setCredentialsPattern(java.lang.String pattern)` Deprecated.
`void` | `setCredentialsProperties(java.util.Properties credentialsProperties)` Deprecated. Sets a properties object, which contains username/password pairs associated to routeId keys.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleRouteCredentialsHandler

    public MultipleRouteCredentialsHandler()

  Deprecated.

### MultipleRouteCredentialsHandler

    public MultipleRouteCredentialsHandler(java.util.Properties credentialsProperties,
                                           java.lang.String credentialsPattern)
                                    throws RouteCredentialsLoadingFailureException

  Deprecated.

Method Detail

### setCredentialsProperties

    public void setCredentialsProperties(java.util.Properties credentialsProperties)

  Deprecated.
  Sets a properties object, which contains username/password pairs associated to routeId keys. For example:

       key: value
       route1: [usr1][pwd1]
       route2: [usr2][pwd2]
       ...
       routeN: [usrN][pwdN]

  Every each value part has to be formatted according to the credentialsPattern and for this example it is supposed to be done like this way:

       credentialsPattern: [{0}][{1}]

  Parameters:
    `credentialsProperties` - Properties

### setCredentialsPattern

    public void setCredentialsPattern(java.lang.String pattern)

  Deprecated.

### getCredentials

    public RouteCredentials getCredentials(java.lang.String routeId)
                                    throws RouteCredentialsLoadingFailureException

  Deprecated.
  Description copied from interface: `RouteCredentialsHandler`
  Returns security credentials for specified route.

  When service is unable to resolve credentials for required routeId, it should return `null`.

  Specified by:
    `getCredentials` in interface `RouteCredentialsHandler`
  Parameters:
    `routeId` - route identifier
  Returns:
    RouteCredentials instance
  Throws:
    `RouteCredentialsLoadingFailureException`

### load

    public void load()
              throws RouteCredentialsLoadingFailureException

  Deprecated.
  Reads credentials list from the credentialsProperties and loads a map which contains `RouteCredentials` object.

  Throws:
    `RouteCredentialsLoadingFailureException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.